From 10df1143bc2238e9ed33e87d4e5701cd494f0251 Mon Sep 17 00:00:00 2001
From: Raymond Yau <superquad.vortex2@gmail.com>
Date: Sun, 24 Apr 2011 17:47:45 +0800
Subject: [PATCH] hda-emu - Check channels count for playback/capture using PCM command


Signed-off-by: Raymond Yau <superquad.vortex2@gmail.com>

diff --git a/hda-emu.c b/hda-emu.c
index 2b14b0f..ff7f2f6 100644
--- a/hda-emu.c
+++ b/hda-emu.c
@@ -563,6 +563,10 @@ void hda_test_pcm(int id, int subid,
 			hda_log(HDA_LOG_INFO, " %d", rate_consts[i]);
 	}
 	hda_log(HDA_LOG_INFO, "\n");
+	if ((channels < runtime->hw.channels_min) ||
+	    (channels > runtime->hw.channels_max))
+		hda_log(HDA_LOG_ERR, "Channels count (%d) not available for %s\n", 
+			channels, (dir ? "capture" : "playback"));	
 	hda_log(HDA_LOG_INFO, "Prepare PCM, rate=%d, channels=%d, "
 		"format=%d bits\n",
 		rate, channels, format);
-- 
1.6.0.6

